<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h4 class="modal-title" id="myPurchasingItemLabel" jhiTranslate="mpmApp.purchasingItem.home.createOrEditLabel">Create or edit a Purchasing Item</h4>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true"
                (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" [hidden]="!purchasingItem.id">
            <label for="id" jhiTranslate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="id"
                   [(ngModel)]="purchasingItem.id" readonly />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.purchasingItem.idpurchasingitem" for="field_idpurchasingitem">Idpurchasingitem</label>
            <input type="number" class="form-control" name="idpurchasingitem" id="field_idpurchasingitem"
                [(ngModel)]="purchasingItem.idpurchasingitem"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.purchasingItem.idpurchasingfk" for="field_idpurchasingfk">Idpurchasingfk</label>
            <input type="number" class="form-control" name="idpurchasingfk" id="field_idpurchasingfk"
                [(ngModel)]="purchasingItem.idpurchasingfk"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.purchasingItem.productcode" for="field_productcode">Productcode</label>
            <input type="text" class="form-control" name="productcode" id="field_productcode"
                [(ngModel)]="purchasingItem.productcode"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.purchasingItem.productname" for="field_productname">Productname</label>
            <input type="text" class="form-control" name="productname" id="field_productname"
                [(ngModel)]="purchasingItem.productname"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.purchasingItem.qty" for="field_qty">Qty</label>
            <input type="number" class="form-control" name="qty" id="field_qty"
                [(ngModel)]="purchasingItem.qty"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.purchasingItem.ppqty" for="field_ppqty">Ppqty</label>
            <input type="number" class="form-control" name="ppqty" id="field_ppqty"
                [(ngModel)]="purchasingItem.ppqty"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.purchasingItem.price" for="field_price">Price</label>
            <input type="number" class="form-control" name="price" id="field_price"
                [(ngModel)]="purchasingItem.price"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.purchasingItem.bidprice" for="field_bidprice">Bidprice</label>
            <input type="number" class="form-control" name="bidprice" id="field_bidprice"
                [(ngModel)]="purchasingItem.bidprice"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.purchasingItem.totalprice" for="field_totalprice">Totalprice</label>
            <input type="number" class="form-control" name="totalprice" id="field_totalprice"
                [(ngModel)]="purchasingItem.totalprice"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.purchasingItem.dtsent" for="field_dtsent">Dtsent</label>
            <div class="d-flex">
                <input id="field_dtsent" type="datetime-local" class="form-control" name="dtsent" [(ngModel)]="purchasingItem.dtsent"
                  />
            </div>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.purchasingItem.divitions" for="field_divitions">Divitions</label>
            <input type="text" class="form-control" name="divitions" id="field_divitions"
                [(ngModel)]="purchasingItem.divitions"  />
        </div>

    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal" (click)="clear()">
            <span class="fa fa-ban"></span>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
        </button>
        <button type="submit" [disabled]="editForm.form.invalid || isSaving" class="btn btn-primary">
            <span class="fa fa-save"></span>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
        </button>
    </div>
</form>
